using System;
using Infragistics.Windows.DataPresenter.Events;

internal sealed class Delegate272 : MulticastDelegate
{
	public extern void Invoke(object sender, EventHandler<RecordUpdatedEventArgs> e);

	public static void smethod_0(object object_0, EventHandler<RecordUpdatedEventArgs> eventHandler_0, Delegate272 delegate272_1)
	{
		delegate272_1(object_0, eventHandler_0);
	}

	public extern Delegate272(object object_0, IntPtr intptr_0);

	static Delegate272()
	{
		Class10.smethod_13(typeof(Delegate272).TypeHandle);
	}

	internal static Delegate272 delegate272_0;
}
